Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoMFFloat Class Reference
[Field classes]

The SoMFFloat class is a container for floating point values. More...

`#include <Inventor/fields/SoMFFloat.h>`

Inheritance diagram for SoMFFloat:

List of all members.

## Static Public Methods
void | initClass (void)

## Detailed Description

The SoMFFloat class is a container for floating point values.

This field is used where nodes, engines or other field containers needs to store a group of multiple floating point values.

This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

See also:
  SoSFFloat

## Member Function Documentation

void SoMFFloat::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoMField.

The documentation for this class was generated from the following files:

- SoMFFloat.h
- SoMFFloat.cpp